Closed Bug 954073 Opened 7 years ago Closed 7 years ago

Remove code duplication from conversation.xml

Categories

(Instantbird :: Conversation, defect)

defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

References

Details

Attachments

(1 file)

*** Original post on bio 637 at 2010-12-20 04:17:00 UTC ***

From bug 954065 (bio 629):
> We should probably remove that code duplication some day (create a _forgetConv
> method maybe?), but it's out of the scope of this bug.

Filing a followup to look into this (so we don't forget about it!)
Depends on: 954065
*** Original post on bio 637 at 2011-01-17 13:59:22 UTC ***

Is this bug about a particular case of code duplication?
*** Original post on bio 637 at 2011-01-17 14:16:13 UTC ***

If you see https://hg.instantbird.org/instantbird/rev/ba4b9401791b there's two sets of code about destroying a conversation, this is about combining those into a _forgetConv method.
Attached patch v1.0Splinter Review
*** Original post on bio 637 as attmnt 500 at 2011-01-25 05:03:00 UTC ***

Patch that removes the duplicate code.
Attachment #8352243 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8352243 [details] [diff] [review]
v1.0

*** Original change on bio 637 attmnt 500 at 2011-01-28 17:35:41 UTC ***

Looks good.
Attachment #8352243 - Flags: review?(florian) → review+
*** Original post on bio 637 at 2011-01-28 18:05:13 UTC ***

https://hg.instantbird.org/instantbird/rev/26f60fb76854
Fixed, thanks!
Severity: normal → trivial
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3a1
You need to log in before you can comment on or make changes to this bug.